Is that safe to install PHPMailer via composer?

darkbear

Verified User
Joined
Jan 31, 2013
Messages
47
Due to Google is announce they will disable all non-OAUTH users by next moth, I need to install PHPMailer to using OAUTH2 to send mail via google suite,so I have some problem to ask, hope you can help me, Thanks:

1. Am I just run
composer require phpmailer/phpmailer

to install it? so is it safe?

2. After install it, anythink you suggest I need to change?

Thank you so much
 

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
14,243
Location
GMT +7.00
Hello,

Are you asking whether is it safe to use composer to install any package as well as phpmailer/phpmailer ? I believe it's the same risk if you install it using any other official method.

So make sure you use the official composer downloaded from an official site.

And whether or not you need to change anything depends on your usage case only,
 

darkbear

Verified User
Joined
Jan 31, 2013
Messages
47
Hello,

Are you asking whether is it safe to use composer to install any package as well as phpmailer/phpmailer ? I believe it's the same risk if you install it using any other official method.

So make sure you use the official composer downloaded from an official site.

And whether or not you need to change anything depends on your usage case only,
Thank you so much;)
 
Top